
Redmine - Feature #14820

Repository: Show which rev introduced changes ("Last Changed Rev")

2013-09-02 22:23 - Friedrich Schiller

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Consider root/trunk/app/controllers/account_controller.rb@ 516

This page should also show the Last Changed Rev.

For subversion it can be determined as follows:

svn info http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@516 | grep -e 

"^Last Changed Rev: " | cut -c19-

...this gives us 514. Thus account_controller.rb@ 514 and account_controller.rb@ 516 are equivalent, and 514 introduced the

changes.    

The page should provide the user with this information.

(Diff's should also show which revs introduced changes. See #14818 (esp. note 2-> #14818#note-2))

Related issues:

Related to Redmine - Feature #14818: Diff and Repository Navigation: include ... New

History

#1 - 2013-09-02 22:29 - Friedrich Schiller

Ah sorry. Wrong tracker. This is a Feature, not Defect.

I don't have rights to change this; ...please if someone could do this. Thanks.

#2 - 2013-09-03 08:20 - Friedrich Schiller

Alternative for subversion:

Last Changed Rev =

svn log http://svn.redmine.org/redmine/trunk/app/controllers/account_controller.rb@516 -l 1 | grep -E -e "^r[[

:digit:]]+" -o | cut -c2-

...this (also) gives us 514.

#3 - 2013-09-17 02:24 - Toshi MARUYAMA

- Category set to SCM

#4 - 2013-09-17 02:24 - Toshi MARUYAMA

- Related to Feature #14818: Diff and Repository Navigation: include navigation when inside diffs (prev difference, next difference), etc. added

#5 - 2013-09-17 02:25 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#6 - 2013-09-17 02:26 - Toshi MARUYAMA

Friedrich Schiller wrote:

Ah sorry. Wrong tracker. This is a Feature, not Defect.
http://www.redmine.org/projects/redmine/repository/revisions/516/entry/trunk/app/controllers/account_controller.rb
http://www.redmine.org/projects/redmine/repository/revisions/516/entry/trunk/app/controllers/account_controller.rb
https://www.redmine.org/issues/14818
https://www.redmine.org/issues/14818#note-2


I don't have rights to change this; ...please if someone could do this. Thanks.

 Done.
